Skip to content
Docs

Batch remove environment variables

DEL/__remote/api.vercel.com/v1/projects/{idOrName}/env
Delete multiple environment variables for a given project in a single batch operation.
Request
import { Edgenivo } from "@vercel/sdk";
const vercel = new Edgenivo({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.projects.batchRemoveProjectEnv({
idOrName: "prj_XLKmu1DyR1eY7zq8UgeRKbA7yVLA",
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
});
console.log(result);
}
run();
Response
{
"deleted": "123",
"ids": []
}
AuthorizationbearerToken

Default authentication mechanism

idOrNamestringRequired
The unique project identifier or the project name
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
idsarrayRequired
Array of environment variable IDs to delete
200Success
deletednumberRequired
idsarrayRequired
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
409Error
410Error